<nb-card>
  <nb-card-header>Marca</nb-card-header>
  <nb-card-body>
    <form #form="ngForm" class="form-horizontal" (submit)="submit()">
      <div *ngIf="errors && errors.length > 0" class="alert alert-danger" role="alert">
        <div><strong>Error</strong></div>
        <div *ngFor="let error of errors">{{ error }}</div>
      </div>
      <!-- name -->
      <div class="form-group row">
        <label for="name" class="col-sm-2 col-form-label">Nombre de la Marca*</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="name" name="name" [(ngModel)]="element.name" placeholder="Nombre" required>
          <small class="form-text">
            &iquest;Cu&aacute;l es el nombre de la marca? Los usuarios podr&aacute;n ver este nombre en la aplicaci&oacute;n.
            Ej. Mr. Sushi, Ojo de Agua, Join Os, etc.
          </small>
        </div>
      </div>
      <hr />
      <!-- image -->
      <div class="form-group row">
        <label for="image" class="col-sm-2 col-form-label">Logo de la Marca*</label>
        <div class="col-sm-10">
          <input type="file" class="form-control" id="image" name="image" [accept]="extensions" (change)="logoChange($event)" required>
          <small class="form-text">
            Sube el logo de tu marca. Los usuarios podr&aacute;n verlo en la aplicaci&oacute;n.
            Debe ser minimo: (150px x 150px) y no pesar mas de 1MB.
          </small>
        </div>
        <div class="col-sm-10 offset-sm-2" *ngIf="imgLoaded">
          <img class="form-image" src="{{ element.image }}" *ngIf="!element.image_url"/>
          <img class="form-image" src="{{ element.image_url }}" *ngIf="element.image_url"/>
        </div>
      </div>
      <!-- background_image -->
      <div class="form-group row">
        <label for="background-image" class="col-sm-2 col-form-label">Im&aacute;gen de Fondo*</label>
        <div class="col-sm-10">
          <input type="file"
            class="form-control"
            id="background-image"
            name="background_image"
            [accept]="extensions"
            (change)="backgroundChange($event)" required>
          <small class="form-text">
            Sube una imagen de fondo para tu marca. Los usuarios podr&aacute;n verla en la aplicaci&oacute;n.
            Ej. Una foto de tu local o de alguno de tus platillos.
          </small>
        </div>
        <div class="col-sm-10 offset-sm-2" *ngIf="bgImgLoaded">
          <img class="form-image" src="{{ element.background_image }}" *ngIf="!element.background_image_url"/>
          <img class="form-image" src="{{ element.background_image_url }}" *ngIf="element.background_image_url"/>
        </div>
      </div>
      <hr />
      <!-- color -->
      <div class="form-group row">
        <label for="color" class="col-sm-2 col-form-label">Color*</label>
        <div class="col-sm-10">
          <div class="input-group">
            <span class="input-group-addon" [style.backgroundColor]="element.color"></span>
            <input type="text" class="form-control" id="color" name="color" [(ngModel)]="element.color" placeholder="Color" required>
          </div>
          <small class="form-text">
            Elige el color de fondo de tu marca. Este color aparecer&aacute; como fondo en el perfil de tu marca y en la tarjeta de la pantalla
            principal de la aplicaci&oacute;n.
          </small>
        </div>
      </div>
      <!-- category -->
      <div class="form-group row">
        <label for="category-id" class="col-sm-2 col-form-label">Categor&iacute;a*</label>
        <div class="col-sm-10">
          <select class="form-control" id="category-id" name="category_id" [(ngModel)]="element.category_id" required>
            <option *ngFor="let category of categories" [value]="category.id">{{ category.name }}</option>
          </select>
          <small class="form-text">Elige la categoría a la que pertenece tu marca.</small>
        </div>
      </div>
      <!-- actions -->
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-9">
          <button type="submit" class="btn btn-success" [disabled]="!form.valid">Crear</button>
          <button type="cancel" (click)="cancel()" class="btn btn-danger">Cancelar</button>
        </div>
      </div>
    </form>
  </nb-card-body>
</nb-card>
